## biosyntax 1.0.0b

=== Makefile ===
# bioSyntax Makefile
# packages the bioSyntax release from the
# git repository.
#
# For a new release be sure to update the release download link
# https://www.bioSyntax.org/release
#   (on github/biosyntax/biosyntax-site
#   --> `release.md` line 4 )

#-- System Config            --
SHELL =/bin/bash
SOURCEDIR = $(PWD)
ZIP = tar -zcvf
ZIP_R = zip -r
PANDOC = pandoc

CD = cd
MKDIR_P = mkdir -p
RM = rm
MV = mv
CP_R = cp -r

#-- bioSyntax Release Config --
version = v0.1.5
release = bioSyntax_$(version)
components = all gedit sublime vim less alt man zip


.PHONY: $(components)
all: $(release) $(components)

$(release):
	$(MKDIR_P) $(release)

gedit:
	# gedit -----------------------------------------------
	$(CP_R) $(SOURCEDIR)/gedit $(release)
	#
	#

sublime:
	# sublime --------------------------------------------
	$(CP_R) $(SOURCEDIR)/sublime $(release)
	# TODO: Add control to ensure that bioSyntax-sublime
	# submodule is downloaded via git

	# Create sublime-settings file for each sublime syntax
	# {bash script}

	$(CD) $(release)/sublime;\
	{ \
	TEMPLATE='bioSyntax.sublime-settings' ;\
	for SYNTAXFILE in $$(ls *.sublime-syntax);\
		do SYNTAX=$$(basename -s .sublime-syntax $$SYNTAXFILE) ;\
		printf " Making .sublime-settings file for:\t$$SYNTAX\n" ;\
		cp $$TEMPLATE $$SYNTAX".sublime-settings" ;\
	done;\
	}

	# Create sublime-package file for release
	$(CD) $(release)/sublime;\
	$(ZIP_R) bioSyntax.sublime-package *
	#

vim:
	# vim -------------------------------------------------
	$(CP_R) $(SOURCEDIR)/vim $(release)
	# TODO: Add control to ensure that bioSyntax-vim
	# submodule is downloaded via git
	#

less:
	# less ------------------------------------------------
	$(CP_R) $(SOURCEDIR)/less $(release)
	#

alt:
	# alt-syntax + examples -------------------------------
	$(CP_R) $(SOURCEDIR)/examples $(release)
	$(CP_R) $(SOURCEDIR)/alt-syntax $(release)
	#

man:
	# scripts + manuals -----------------------------------
	$(CP_R) INSTALL.md $(release)
	$(CP_R) bioSyntax_INSTALL.sh $(release)
	$(CP_R) LICENSE.md $(release)
	$(CD) dev/man/ ;\
	$(PANDOC) man_pdf.md -f markdown -t latex -o ../../$(release)/man.pdf
	$(CP_R) dev/man/man_pdf.md $(release)/README.md
	#

zip:
	# Create zip of release
	$(ZIP) $(release).tar.gz $(release)

## biosyntax 0.1~beta4+dfsg

=== debian/changelog ===
biosyntax (0.1~beta4+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #893827)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 22 Mar 2018 22:04:17 +0100

=== debian/control ===
Source: biosyntax
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/med-team/biosyntax
Vcs-Git: https://salsa.debian.org/med-team/biosyntax.git
Homepage: https://biosyntax.org/

Package: biosyntax-gedit
Architecture: all
Depends: ${misc:Depends},
         gedit
Description: Syntax Highlighting for Computational Biology (gedit)
 Syntax highlighting for computational biology to bring you intuitively close
 to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
 , .clustal, .pdb, .gtf, .bed files & more.
 .
 This package provides the bioSyntax plugin for gedit.
 .
 Please note: The plugin is not enabled per default, to enable it, please read:
 /usr/share/doc/biosyntax-gedit/README.Debian

Package: biosyntax-less
Architecture: all
Depends: ${misc:Depends},
         less,
         source-highlight
Description: Syntax Highlighting for Computational Biology (less)
 Syntax highlighting for computational biology to bring you intuitively close
 to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
 , .clustal, .pdb, .gtf, .bed files & more.
 .
 This package provides the bioSyntax plugin for less.
 .
 Please note: The plugin is not enabled per default, to enable it, please read:
 /usr/share/doc/biosyntax-less/README.Debian

Package: biosyntax-vim
Architecture: all
Depends: ${misc:Depends},
         vim
Recommends: vim-addon-manager
Description: Syntax Highlighting for Computational Biology (vim)
 Syntax highlighting for computational biology to bring you intuitively close
 to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
 , .clustal, .pdb, .gtf, .bed files & more.
 .
 This package provides the bioSyntax plugin for vim.
 .
 Please note: The plugin is not enabled per default, to enable it, please read:
 /usr/share/doc/biosyntax-vim/README.Debian

Package: biosyntax-example
Architecture: all
Depends: ${misc:Depends}
Description: Syntax Highlighting for Computational Biology (example)
 Syntax highlighting for computational biology to bring you intuitively close
 to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
 , .clustal, .pdb, .gtf, .bed files & more.
 .
 This package provides example files for bioSyntax.

## biosyntax 1.0.0b

=== debian/changelog ===
biosyntax (1.0.0b-6) unstable; urgency=medium

  * Team upload.
  * d/rules: preserve less/src-hilite-lesspipe-bio-LINUX.sh. (Closes: #1049738)
  * d/copyright: document appstream's CC0 license.

 -- Étienne Mollier <emollier@debian.org>  Sun, 25 Feb 2024 11:20:09 +0100

biosyntax (1.0.0b-5) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1043674

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jan 2024 20:02:20 +0100

biosyntax (1.0.0b-4) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 21:51:48 +0100

biosyntax (1.0.0b-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix debian/biosyntax-vim.yaml to mention only those includes that
    are shipped by upstream
    Closes: #1010834

  [ Étienne Mollier ]
  * d/biosyntax-gedit.install: move specs to /usr/share/gtksourceview-4.
    Thanks to Carl Suster (Closes: #1010836)
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Étienne Mollier <emollier@debian.org>  Thu, 30 Jun 2022 21:47:49 +0200

biosyntax (1.0.0b-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2020 20:54:43 +0100

biosyntax (1.0.0b-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.2.1 (no changes needed).
  * Build two new packages: biosyntax (metapackage) and biosyntax-common.
  * Install AppStream metadata files.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 26 Aug 2018 08:52:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,32 @@
 Source: biosyntax
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/biosyntax
 Vcs-Git: https://salsa.debian.org/med-team/biosyntax.git
 Homepage: https://biosyntax.org/
+Rules-Requires-Root: no
+
+Package: biosyntax
+Architecture: all
+Depends: ${misc:Depends},
+         biosyntax-gedit,
+         biosyntax-less,
+         biosyntax-vim
+Description: Syntax Highlighting for Computational Biology (metapackage)
+ Syntax highlighting for computational biology to bring you intuitively close
+ to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
+ , .clustal, .pdb, .gtf, .bed files & more.
+ .
+ This is a metapackage depending on all bioSyntax plugins.
 
 Package: biosyntax-gedit
 Architecture: all
 Depends: ${misc:Depends},
+         biosyntax-common (= ${binary:Version}),
          gedit
 Description: Syntax Highlighting for Computational Biology (gedit)
  Syntax highlighting for computational biology to bring you intuitively close
@@ -26,6 +41,7 @@
 Package: biosyntax-less
 Architecture: all
 Depends: ${misc:Depends},
+         biosyntax-common (= ${binary:Version}),
          less,
          source-highlight
 Description: Syntax Highlighting for Computational Biology (less)
@@ -41,6 +57,7 @@
 Package: biosyntax-vim
 Architecture: all
 Depends: ${misc:Depends},
+         biosyntax-common (= ${binary:Version}),
          vim
 Recommends: vim-addon-manager
 Description: Syntax Highlighting for Computational Biology (vim)
@@ -56,9 +73,21 @@
 Package: biosyntax-example
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Syntax Highlighting for Computational Biology (example)
  Syntax highlighting for computational biology to bring you intuitively close
  to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
  , .clustal, .pdb, .gtf, .bed files & more.
  .
  This package provides example files for bioSyntax.
+
+Package: biosyntax-common
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: Syntax Highlighting for Computational Biology (common files)
+ Syntax highlighting for computational biology to bring you intuitively close
+ to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
+ , .clustal, .pdb, .gtf, .bed files & more.
+ .
+ This package provides common files of bioSyntax.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Upstream provides a makefile only to generate the released tarball
	cp less/src-hilite-lesspipe-bio-LINUX.sh less/src-hilite-lesspipe-bio.sh

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=auto" \
     https://github.com/bioSyntax/bioSyntax/tags .*/v?(\d\S+)\.zip

# This is a non standard watch file for GitHub because GH autogenerates tarballs
# with empty vim folder. We need to target the zip file which contains all files.
